/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.nomenclatures;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.modele.interfaces.INomenclature;
import org.cocktail.mangue.common.modele.nomenclatures.contrat.EOTypeContratTravail;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.EOGrade;
import org.cocktail.mangue.modele.grhum.EOTypeContratGrades;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class NomenclaturesTypesContratTravailView extends javax.swing.JPanel {

	private static final long serialVersionUID = -7770031412248058797L;
	private ZEOTableCellRenderer myRenderer, myRendererVisible;

	protected EODisplayGroup eodTypeContratTravail, eodGrades;
	protected ZEOTable myEOTableTypeContratTravail, myEOTableGrades;
	protected ZEOTableModel myTableModelTypeContratTravail, myTableModelGrades;
	protected TableSorter myTableSorterTypeContratTravail, myTableSorterGrades;

	private boolean isGestionHU;

    /** Creates new form TemplateJPanel */
    public NomenclaturesTypesContratTravailView(EODisplayGroup dgTypeContratTravail, EODisplayGroup dgGrades
    		, ZEOTableCellRenderer renderer, ZEOTableCellRenderer rendererVisible, boolean isGestionHUActive) {

        eodTypeContratTravail = dgTypeContratTravail;
        eodGrades = dgGrades;
        myRenderer = renderer;
        myRendererVisible = rendererVisible;
        isGestionHU = isGestionHUActive;
    
        initComponents();
        initGui();
        
    }

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnImprimer = new javax.swing.JButton();
        btnExporter = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        btnDupliquer = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        popupEtats = new javax.swing.JComboBox();
        viewTableGrades = new javax.swing.JPanel();
        jTextField2 = new javax.swing.JTextField();
        btnAjouterGrade = new javax.swing.JButton();
        btnSupprimerGrade = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        tfFiltreLibelle = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        popupNiveaux = new javax.swing.JComboBox();
        popupVisible = new javax.swing.JComboBox();
        jLabel3 = new javax.swing.JLabel();
        btnActivites = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        popupLocal = new javax.swing.JComboBox();
        jLabel7 = new javax.swing.JLabel();
        popupType = new javax.swing.JComboBox();

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnImprimer.setToolTipText("Imprimer");

        btnExporter.setToolTipText("Exporter");

        btnAjouter.setToolTipText("Ajouter un type de contrat");

        btnModifier.setToolTipText("Modifier le type de contrat sélectionné");

        btnSupprimer.setToolTipText("Supprimer le type de contrat sélectionné");

        btnDupliquer.setToolTipText("Duplication du type de contrat sélectionné");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel4.setText("Etat ?");

        popupEtats.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        viewTableGrades.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableGrades.setLayout(new java.awt.BorderLayout());

        jTextField2.setBackground(new java.awt.Color(204, 204, 255));
        jTextField2.setEditable(false);
        jTextField2.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        jTextField2.setText("GRADES ASSOCIES");
        jTextField2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField2ActionPerformed(evt);
            }
        });

        btnAjouterGrade.setToolTipText("Associatoin d'un grade");

        btnSupprimerGrade.setToolTipText("Supprimer le grade sélectionné");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Libellé ?");

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Niveau ?");

        popupNiveaux.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        popupVisible.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Visible ?");

        btnActivites.setText("Activités");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Local ?");

        popupLocal.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Type ?");

        popupType.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableGrades, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 946, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(btnActivites, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 154, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 720, Short.MAX_VALUE)
                        .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 33, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 890, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouterGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupEtats, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupNiveaux, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 67, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 58, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupVisible, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupLocal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 50, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(popupType, 0, 90, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreLibelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 106, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(btnDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 946, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnDupliquer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE, false)
                        .add(jLabel4)
                        .add(popupEtats, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfFiltreLibelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel2)
                        .add(jLabel5)
                        .add(popupNiveaux, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel3)
                        .add(popupVisible, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel6)
                        .add(popupLocal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel7)
                        .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(8, 8, 8)
                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 435, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(btnAjouterGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnSupprimerGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableGrades, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 91, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnExporter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnImprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnActivites))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jTextField2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextField2ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnActivites;
    protected javax.swing.JButton btnAjouter;
    protected javax.swing.JButton btnAjouterGrade;
    protected javax.swing.JButton btnDupliquer;
    protected javax.swing.JButton btnExporter;
    protected javax.swing.JButton btnImprimer;
    protected javax.swing.JButton btnModifier;
    protected javax.swing.JButton btnSupprimer;
    protected javax.swing.JButton btnSupprimerGrade;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JComboBox popupEtats;
    private javax.swing.JComboBox popupLocal;
    private javax.swing.JComboBox popupNiveaux;
    private javax.swing.JComboBox popupType;
    private javax.swing.JComboBox popupVisible;
    private javax.swing.JTextField tfFiltreLibelle;
    protected javax.swing.JPanel viewTable;
    protected javax.swing.JPanel viewTableGrades;
    // End of variables declaration//GEN-END:variables

    
    private void initGui() {

    	popupEtats.removeAllItems();
    	popupEtats.addItem("*");
    	popupEtats.addItem("OUVERTS");
    	popupEtats.addItem("FERMES");
    	
        popupType.removeAllItems();
        popupType.addItem("*");
        popupType.addItem("Non Enseignants");
        popupType.addItem("Enseignants");
        popupType.addItem("CDI");
        popupType.addItem("Doctorants");
        popupType.addItem("Etudiants");
        popupType.addItem("Invités / Associés"); 
        if (isGestionHU) {
        	popupType.addItem("H.U.");
        }

       	popupNiveaux.removeAllItems();
    	popupNiveaux.addItem("*");
    	popupNiveaux.addItem(EOTypeContratTravail.NIVEAU_1);
    	popupNiveaux.addItem(EOTypeContratTravail.NIVEAU_LOCAL);

    	btnExporter.setIcon(CocktailIcones.ICON_EXCEL_16);
    	btnImprimer.setIcon(CocktailIcones.ICON_PRINTER_16);
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnDupliquer.setIcon(CocktailIcones.ICON_RENOUVELER);

    	btnAjouterGrade.setIcon(CocktailIcones.ICON_ADD);
    	btnSupprimerGrade.setIcon(CocktailIcones.ICON_DELETE);

    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn	col = new ZEOTableModelColumn(eodTypeContratTravail, INomenclature.LIBELLE_LONG_KEY, "Libellé Long", 225);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRendererVisible);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, INomenclature.LIBELLE_COURT_KEY, "Libellé Court", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, INomenclature.CODE_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.TO_TYPE_CONTRAT_PERE_KEY+"."+INomenclature.CODE_KEY, "Père", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.C_NIVEAU_KEY, "Niv.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.TEM_ENSEIGNANT_KEY, "Ens.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.CODE_SUPINFO_KEY, "SUPINFO", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.TEM_CDI_KEY, "CDI", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.TEM_EQUIV_GRADE_KEY, "Grade", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, INomenclature.DATE_OUVERTURE_KEY, "Ouverture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, INomenclature.DATE_FERMETURE_KEY, "Fermeture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.TEM_VISIBLE_KEY, "Visible", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodTypeContratTravail, EOTypeContratTravail.TEM_LOCAL_KEY, "Local", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);

		myTableModelTypeContratTravail = new ZEOTableModel(eodTypeContratTravail, myCols);
		myTableSorterTypeContratTravail = new TableSorter(myTableModelTypeContratTravail);

		myEOTableTypeContratTravail = new ZEOTable(myTableSorterTypeContratTravail);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterTypeContratTravail.setTableHeader(myEOTableTypeContratTravail.getTableHeader());		

		myEOTableTypeContratTravail.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableTypeContratTravail.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableTypeContratTravail.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTableTypeContratTravail), BorderLayout.CENTER);

		myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodGrades, EOTypeContratGrades.TO_GRADE_KEY+"."+EOGrade.LL_GRADE_KEY, "Libellé Long", 200);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodGrades, EOTypeContratGrades.TO_GRADE_KEY+"."+EOGrade.LC_GRADE_KEY, "Libellé Court", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodGrades, EOTypeContratGrades.TO_GRADE_KEY+"."+EOGrade.C_GRADE_KEY, "Code", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodGrades, EOTypeContratGrades.TO_GRADE_KEY+"."+EOGrade.ECHELLE_KEY, "Echelle", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodGrades, EOTypeContratGrades.TO_GRADE_KEY+"."+EOGrade.D_OUVERTURE_KEY, "Ouverture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodGrades, EOTypeContratGrades.TO_GRADE_KEY+"."+EOGrade.D_FERMETURE_KEY, "Fermeture", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);

		myTableModelGrades = new ZEOTableModel(eodGrades, myCols);
		myTableSorterGrades = new TableSorter(myTableModelGrades);

		myEOTableGrades = new ZEOTable(myTableSorterGrades);
		myTableSorterGrades.setTableHeader(myEOTableGrades.getTableHeader());		

		myEOTableGrades.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableGrades.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableGrades.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableGrades.setLayout(new BorderLayout());
		viewTableGrades.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableGrades.removeAll();
		viewTableGrades.add(new JScrollPane(myEOTableGrades), BorderLayout.CENTER);

    }

	public ZEOTable getMyEOTableTypeContratTravail() {
		return myEOTableTypeContratTravail;
	}

	public void setMyEOTableTypeContratTravail(ZEOTable myEOTableTypeContratTravail) {
		this.myEOTableTypeContratTravail = myEOTableTypeContratTravail;
	}

	public ZEOTableModel getMyTableModelTypeContratTravail() {
		return myTableModelTypeContratTravail;
	}

	public void setMyTableModelTypeContratTravail(
			ZEOTableModel myTableModelTypeContratTravail) {
		this.myTableModelTypeContratTravail = myTableModelTypeContratTravail;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JTextField getTfFiltreLibelle() {
		return tfFiltreLibelle;
	}

	public void setTfFiltreLibelle(javax.swing.JTextField tfFiltreLibelle) {
		this.tfFiltreLibelle = tfFiltreLibelle;
	}

	public javax.swing.JButton getBtnDupliquer() {
		return btnDupliquer;
	}

	public void setBtnDupliquer(javax.swing.JButton btnDupliquer) {
		this.btnDupliquer = btnDupliquer;
	}

	public javax.swing.JComboBox getPopupEtats() {
		return popupEtats;
	}

	public void setPopupEtats(javax.swing.JComboBox popupEtats) {
		this.popupEtats = popupEtats;
	}

	public javax.swing.JButton getBtnExporter() {
		return btnExporter;
	}

	public void setBtnExporter(javax.swing.JButton btnExporter) {
		this.btnExporter = btnExporter;
	}

	public javax.swing.JButton getBtnImprimer() {
		return btnImprimer;
	}

	public void setBtnImprimer(javax.swing.JButton btnImprimer) {
		this.btnImprimer = btnImprimer;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public ZEOTable getMyEOTableGrades() {
		return myEOTableGrades;
	}

	public void setMyEOTableGrades(ZEOTable myEOTableGrades) {
		this.myEOTableGrades = myEOTableGrades;
	}

	public ZEOTableModel getMyTableModelGrades() {
		return myTableModelGrades;
	}

	public void setMyTableModelGrades(ZEOTableModel myTableModelGrades) {
		this.myTableModelGrades = myTableModelGrades;
	}

	public javax.swing.JButton getBtnAjouterGrade() {
		return btnAjouterGrade;
	}

	public void setBtnAjouterGrade(javax.swing.JButton btnAjouterGrade) {
		this.btnAjouterGrade = btnAjouterGrade;
	}

	public javax.swing.JButton getBtnSupprimerGrade() {
		return btnSupprimerGrade;
	}

	public void setBtnSupprimerGrade(javax.swing.JButton btnSupprimerGrade) {
		this.btnSupprimerGrade = btnSupprimerGrade;
	}

	public javax.swing.JComboBox getPopupNiveaux() {
		return popupNiveaux;
	}

	public void setPopupNiveaux(javax.swing.JComboBox popupNiveaux) {
		this.popupNiveaux = popupNiveaux;
	}

	public javax.swing.JComboBox getPopupVisible() {
		return popupVisible;
	}

	public void setPopupVisible(javax.swing.JComboBox popupVisible) {
		this.popupVisible = popupVisible;
	}

	public javax.swing.JButton getBtnActivites() {
		return btnActivites;
	}

	public void setBtnActivites(javax.swing.JButton btnActivites) {
		this.btnActivites = btnActivites;
	}

	public javax.swing.JComboBox getPopupLocal() {
		return popupLocal;
	}

	public void setPopupLocal(javax.swing.JComboBox popupLocal) {
		this.popupLocal = popupLocal;
	}

	public javax.swing.JComboBox getPopupType() {
		return popupType;
	}

	public void setPopupType(javax.swing.JComboBox popupType) {
		this.popupType = popupType;
	}

}
